Name:		qubes-input-proxy
Version:	1.0.32
Release:	1%{?dist}
Obsoletes:	input-proxy
Summary:	Simple input device proxy (dom0)

Group:		System Environment/Daemons
License:	GPLv2
URL:		https://www.qubes-os.org/

BuildRequires:  make
BuildRequires:	gcc
BuildRequires:	kernel-headers
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel

Requires: %{name}-receiver

Source0: %{name}-%{version}.tar.gz

%description
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is receiver part.

%package sender
Summary:    Simple input device proxy (sender)
%{?systemd_requires}
BuildRequires:  systemd

%description sender
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is sender part.

%package receiver
Summary:    Simple input device proxy (receiver)
%{?systemd_requires}
BuildRequires:  systemd

%description receiver
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is sender part.

%prep
%setup -q

%build
make %{?_smp_mflags} all


%install
make install DESTDIR=%{buildroot} PYTHON=%{__python3}

# this really means Qubes > 4.1
%if 0%{?fedora} > 32
rm -rf %{buildroot}/etc/qubes-rpc/policy
%endif

%files
%doc README.md
%defattr(-,root,root,-)
%dir %{python3_sitelib}/qubesinputproxy-*.egg-info
%{python3_sitelib}/qubesinputproxy-*.egg-info/*
%{python3_sitelib}/qubesinputproxy
# this really means Qubes <= 4.1
%if 0%{?fedora} <= 32
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputMouse
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputKeyboard
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputTablet
%endif

%files sender
%doc README.md
%defattr(-,root,root,-)
/etc/sudoers.d/qubes-input-trigger
/usr/bin/input-proxy-sender
/usr/bin/qubes-input-sender
/usr/bin/qubes-input-trigger
%config(noreplace) /etc/xdg/autostart/qubes-input-trigger.desktop
/lib/udev/rules.d/90-qubes-input-proxy.rules
%{_unitdir}/qubes-input-sender-tablet@.service
%{_unitdir}/qubes-input-sender-mouse@.service
%{_unitdir}/qubes-input-sender-keyboard@.service
%{_unitdir}/qubes-input-sender-keyboard-mouse@.service

%files receiver
%doc README.md
%defattr(-,root,root,-)
/usr/bin/input-proxy-receiver
/etc/qubes-rpc/qubes.InputMouse
/etc/qubes-rpc/qubes.InputKeyboard
/etc/qubes-rpc/qubes.InputTablet
/lib/udev/rules.d/90-qubes-uinput.rules
/lib/modules-load.d/qubes-uinput.conf

%changelog
* Wed Apr 26 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-input-proxy.git

* Wed Apr 26 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e952c35
- version 1.0.32

* Mon Apr 17 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2e44479
- Make new packaging compatible with legacy builder

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 76d7535
- Rework Archlinux packaging

* Fri Feb 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c75e55
- version 1.0.31

* Wed Jan 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 353724e
- Drop legacy policy files

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c5e77f0
- version 1.0.30

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3a52cb6
- debian: drop dep on python2

* Mon Nov 28 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6281981
- version 1.0.29

* Mon Oct 31 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9f7578
- tests: Switch to own fork of python-uinput

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 07abab9
- version 1.0.28

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6864bac
- builderv2: Rename 'spec' to 'build'

* Thu Oct 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e58e1aa
- version 1.0.27

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 458cc88
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 642011b
- Drop Travis CI

* Thu Jan 13 2022 Locria Cyber <74560659+locriacyber@users.noreply.github.com> - 5d08800
- Fix sudoers.d permission to 600; add build documentation for arch linux

* Sat Jan 08 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a58d3a1
- version 1.0.26

* Sun Dec 19 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e252dbe
- debian: use USRLIBDIR instead of patch

* Tue Oct 26 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cafd9d5
- version 1.0.25

* Mon Jul 12 2021 Nedyalko Andreev <n@andreev.sh> - 01b16f3
- Add support for building Archlinux packages

* Fri Jul 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1980a0e
- version 1.0.24

* Mon Jul 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b6576f
- Avoid forwarding dom0 devices back to dom0

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 23a9643
- spec: add BR make

* Wed Feb 24 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c501f18
- Automatically detect dom0

* Sun Jan 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eadd478
- version 1.0.23

* Thu Dec 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8da370d
- Don't use sudo when already running as root

* Fri Dec 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 474e513
- Update sudo rules for new startup trigger mechanism

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a51d0ce
- Add .gitlab-ci.yml

* Tue Nov 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce5b8b8
- version 1.0.22

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 09951e8
- Use rpm-dictated python3 version

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb25fad
- Second attempt at filtering QEMU USB tablet

* Sun Nov 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17f936a
- version 1.0.21

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cfb71ba
- rpm: claim ownership over python package dir itself

* Sat Oct 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5c44156
- Add test for QEMU tablet filtering

* Sat Oct 31 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0136bae
- Fix filtering of QEMU tablet from sys-usb to dom0

* Sat Oct 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c4c407b
- version 1.0.20

* Wed Sep 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 025bedd
- tests: remove leftover previous attempts

* Wed Sep 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cb4f8cc
- Use --dom0 switch to allow or not virtual, acpi or platform devices

* Fri Sep 25 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ba2a787
- Refactor qubes-input-trigger to be used by udev rules

* Wed Sep 23 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f8cdc88
- Filter out QEMU tablet provided by HVM

* Mon Sep 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c832d06
- Simplify method for dom0/VM input trigger

* Sat Sep 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7388e80
- Send every non qubes devices from dom0 to sys-gui-gpu

* Mon Aug 31 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 87247f3
- qubes-input-sender-*: add third party script to handle dom0 and VM

* Sun Aug 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 93ec5c5
- Add script for trigger sending dom0 ps2 devices

* Tue Aug 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dbd09c1
- version 1.0.19

* Sat Aug 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 649fcf2
- debian: add /lib/modules-load.d/qubes-uinput.conf, update packaging

* Sat Aug 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bdb8d30
- rpm: split receiver part into a separate package

* Sat Aug 08 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a43b164
- tests: wait for user session on R4.0+ too

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ff63ac9
- Update travis

* Sun Mar 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5760a9f
- version 1.0.18

* Sun Mar 01 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7456a4
- tests: fix delayed GUI start

